=== modified file 'src/acl/UserData.cc'
--- src/acl/UserData.cc	2012-09-01 14:38:36 +0000
+++ src/acl/UserData.cc	2013-01-23 16:15:40 +0000
@@ -132,10 +132,10 @@
 
         if (strcmp("-i", t) == 0) {
             debugs(28, 5, "aclParseUserList: Going case-insensitive");
-            flags.case_insensitive = 1;
+            flags.case_insensitive = true;
         } else if (strcmp("REQUIRED", t) == 0) {
             debugs(28, 5, "aclParseUserList: REQUIRED-type enabled");
-            flags.required = 1;
+            flags.required = true;
         } else {
             if (flags.case_insensitive)
                 Tolower(t);

=== modified file 'src/acl/UserData.h'
--- src/acl/UserData.h	2012-09-01 14:38:36 +0000
+++ src/acl/UserData.h	2013-01-23 16:15:40 +0000
@@ -53,8 +53,8 @@
     SplayNode<char *> *names;
 
     struct {
-        unsigned int case_insensitive:1;
-        unsigned int required:1;
+        bool case_insensitive;
+        bool required;
     } flags;
 };
 

